def func5(diap,shag):
    """ Итератор, возвращающий значения
    ​из диапазона от 1 до diap с шагом shag"""
    for j in range(1,diap+1,shag):
     yield j

alp=func5(7,3)
print(alp.__next__())
print(alp.__next__())
print(alp.__next__())
print(alp.__next__())
